package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 机构配置表(TenantConfig)表实体类
 *
 * @author hgw
 * @since 2021-12-09 13:37:18
 */
@ApiModel(value = "tenant_config-机构配置表")
public class TenantConfig implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("charge_rate_")
    @ApiModelProperty(value = "手续费率")
    private BigDecimal chargeRate;

    @TableField("teaching_material_id_")
    @ApiModelProperty(value = "可用教材id，多个用逗号分割")
    private String teachingMaterialId;

    @TableField("theme_")
    @ApiModelProperty(value = "主题")
    private String theme;

    @TableField("theme_color_")
    @ApiModelProperty(value = "主题色")
    private String themeColor;

    @TableField("config_")
    @ApiModelProperty(value = "机构动态配置，以json格式储存")
    private String config;

    @TableField("updated_by_")
    @ApiModelProperty(value = "更新人")
    private Integer updatedBy;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    @TableField("corporate_chops_")
    @ApiModelProperty(value = "企业公章图片地址")
    private String corporateChops;

    @TableField("corporate_finance_chops_")
    @ApiModelProperty(value = "企业财务公章图片地址")
    private String corporateFinanceChops;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public BigDecimal getChargeRate() {
        return chargeRate;
    }

    public void setChargeRate(BigDecimal chargeRate) {
        this.chargeRate = chargeRate;
    }

    public String getTeachingMaterialId() {
        return teachingMaterialId;
    }

    public void setTeachingMaterialId(String teachingMaterialId) {
        this.teachingMaterialId = teachingMaterialId;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getThemeColor() {
        return themeColor;
    }

    public void setThemeColor(String themeColor) {
        this.themeColor = themeColor;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getCorporateChops() {
        return corporateChops;
    }

    public void setCorporateChops(String corporateChops) {
        this.corporateChops = corporateChops;
    }

    public String getCorporateFinanceChops() {
        return corporateFinanceChops;
    }

    public void setCorporateFinanceChops(String corporateFinanceChops) {
        this.corporateFinanceChops = corporateFinanceChops;
    }
}